<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Base\Api;

use Shopgate\Base\Model\Shopgate\Order;

interface OrderRepositoryInterface
{
    /**
     * @param string $orderNumber - shopgate order number
     *
     * @return Order
     */
    public function get($orderNumber);

    /**
     * @param string $id - magento order increment id
     *
     * @return Order
     */
    public function getByMageOrder($id);

    /**
     * Requires magento object & Base order to be loaded globally
     *
     * @param string $mageOrderId
     *
     * @throws \Exception
     * @throws \Zend_Serializer_Exception
     */
    public function createAndSave($mageOrderId);

    /**
     * @param string $orderNumber
     * @param bool   $throwExceptionOnDuplicate
     *
     * @return Order
     * @throws \ShopgateLibraryException
     */
    public function checkOrderExists($orderNumber, $throwExceptionOnDuplicate = false);

    /**
     * Updates isPaid and isShippingBlocked settings
     * using the loaded SG Base class
     *
     * @param Order $order
     */
    public function update(Order $order);
}
