<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */
namespace Shopgate\Base\Api;

interface SettingsInterface
{
    const CUSTOMER_GROUPS            = 'customer_groups';
    const ALLOWED_ADDRESS_COUNTRIES  = 'allowed_address_countries';
    const ALLOWED_SHIPPING_COUNTRIES = 'allowed_shipping_countries';
    const PAYMENT_METHODS            = 'payment_methods';
    const TAX                        = 'tax';
    const TAX_RATES                  = 'tax_rates';
    const TAX_RULES                  = 'tax_rules';
    const PRODUCT_TAX_CLASSES        = 'product_tax_classes';
    const CUSTOMER_TAX_CLASSES       = 'customer_tax_classes';

    /**
     * Returns the JSON for Shopgate Backend
     *
     * @link http://developer.shopgate.com/plugin_api/system_information/get_settings
     *
     * @param string $action     - Requested method, e.g. get_settings
     * @param string $shopNumber - Your shop number as configured in the merchant API
     * @param string $traceId    - Unique request trace ID, handshake related
     *
     * @return string
     */
    public function getSettings($action, $shopNumber, $traceId);
}
