<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Base\Helper\Initializer;

use Shopgate\Base\Api\ExportInterface;
use Shopgate\Base\Api\ImportInterface;
use Shopgate\Base\Api\SettingsInterface;
use Shopgate\Base\Model\Config as MainConfig;

/**
 * The main purpose of this class is to initialize classes and pass them along.
 * This hack is needed due to the non-rewritable final constructor on ShopgatePlugin lib class
 */
class Forwarder
{
    /** @var MainConfig $mainConfig */
    private $mainConfig;
    /** @var Config */
    private $configInitializer;
    /** @var SettingsInterface */
    private $settingsInterface;
    /** @var ExportInterface */
    private $exportInterface;
    /** @var ImportInterface */
    private $importInterface;

    /**
     * @param Config            $configInitializer
     * @param MainConfig        $mainConfig
     * @param SettingsInterface $settingsInterface
     * @param ExportInterface   $exportInterface
     * @param ImportInterface   $importInterface
     *
     * @@codeCoverageIgnore
     */
    public function __construct(
        Config $configInitializer,
        MainConfig $mainConfig,
        SettingsInterface $settingsInterface,
        ExportInterface $exportInterface,
        ImportInterface $importInterface
    ) {
        $this->mainConfig        = $mainConfig;
        $this->configInitializer = $configInitializer;
        $this->settingsInterface = $settingsInterface;
        $this->exportInterface   = $exportInterface;
        $this->importInterface   = $importInterface;
    }

    /**
     * @return MainConfig
     */
    public function getMainConfig()
    {
        return $this->mainConfig;
    }

    /**
     * @return Config
     */
    public function getConfigInitializer()
    {
        return $this->configInitializer;
    }

    /**
     * @return SettingsInterface
     */
    public function getSettingsInterface()
    {
        return $this->settingsInterface;
    }

    /**
     * @return ExportInterface
     */
    public function getExportInterface()
    {
        return $this->exportInterface;
    }

    /**
     * @return ImportInterface
     */
    public function getImportInterface()
    {
        return $this->importInterface;
    }
}
