<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Base\Helper\Product\Type;

use Magento\Quote\Model\Quote\Item;

class Configurable extends Generic
{

    /**
     * @return array
     * @throws Exception
     */
    public function getStockData()
    {
        if (!$this->getItem() instanceof Item) {
            throw new Exception('The item provided is supposed to be of type QuoteItem in class: ' . get_class($this));
        }

        /** @var \Magento\Catalog\Model\Product $product */
        /** @noinspection PhpUndefinedMethodInspection */
        $product     = $this->getItem()->getProduct()->getCustomOption('simple_product')->getProduct('product');
        $currentItem = $this->getItem();

        $tempItem = clone $currentItem;
        $tempItem->setProduct($product);
        $this->setItem($tempItem);

        $data = parent::getStockData();
        $this->setItem($currentItem);

        return $data;
    }

    /**
     * @inheritdoc
     */
    public function getChildren()
    {
        $children        = [];
        $childProductIds = $this->getItem()->getTypeInstance()->getChildrenIds($this->getItem()->getId());
        $childProductIds = current($childProductIds);

        foreach ($childProductIds as $childProductId) {
            $children[] = $this->productRepository->getById($childProductId);
        }

        return $children;
    }
}
