<?php
/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Base\Helper\Shipping\Carrier;

use Magento\OfflineShipping\Model\ResourceModel\Carrier\Tablerate\Collection;
use Magento\Store\Model\StoreManagerInterface;

class TableRate
{
    const CODE = 'tablerate';

    /**
     * @var StoreManagerInterface
     */
    private $storeManager;
    /**
     * @var Collection
     */
    private $tableRateCollection;

    /**
     * @param StoreManagerInterface $storeManager
     * @param Collection            $tableRateCollection
     */
    public function __construct(
        StoreManagerInterface $storeManager,
        Collection $tableRateCollection
    ) {
        $this->storeManager        = $storeManager;
        $this->tableRateCollection = $tableRateCollection;
    }

    /**
     * Retrieve the table rate collection filtered by store's website
     *
     * @param null|string|int $storeId - will use this store's website to pull the collection
     *
     * @return Collection
     */
    public function getTableRateCollection($storeId = null)
    {
        return $this->tableRateCollection->setWebsiteFilter($this->storeManager->getStore($storeId)->getWebsiteId());
    }
}
