<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Base\Model\Redirect\Route;

use Magento\Backend\App\Action\Context;
use Magento\Framework\App\Request\Http;
use Shopgate\Base\Model\Redirect\Route\Type\Generic;

class Utility
{
    /** @var array */
    private $map = [];
    /** @var Context */
    private $context;

    /**
     * @param Context         $context
     * @param TypeInterface[] $map - check di.xml
     *
     * @codeCoverageIgnore
     */
    public function __construct(Context $context, array $map)
    {
        $this->context = $context;
        $this->map     = $map;
    }

    /**
     * Retrieves the correct route based on
     * the current controller
     *
     * @return TypeInterface
     */
    public function getRoute()
    {
        /** @var Http $req */
        $req = $this->context->getRequest();
        if (isset($this->map[$req->getControllerName()])) {
            return $this->map[$req->getControllerName()];
        }

        return $this->map[Generic::CONTROLLER_KEY];
    }
}
