<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Base\Model\Service;

use Magento\Framework\Phrase;
use Magento\Framework\Webapi\Exception;
use Shopgate\Base\Api\ExportInterface;

/**
 * This is supposed to be rewritten by the Shopgate_Export module
 */
class Export implements ExportInterface
{
    const NOT_ENABLED_ERROR = 'Shopgate_Export module is not enabled or installed';

    /**
     * @inheritdoc
     */
    public function getCategories($action, $shopNumber, $traceId, $limit = null, $offset = null, array $uids = [])
    {
        return [self::NOT_ENABLED_ERROR]; //todo-konstantin: check this
    }

    /**
     * @inheritdoc
     */
    public function getCategoriesRaw($limit = null, $offset = null, array $uids = [])
    {
        throw new Exception(new Phrase(self::NOT_ENABLED_ERROR));
    }

    /**
     * @inheritdoc
     */
    public function getCustomer($user, $pass)
    {
        throw new Exception(new Phrase(self::NOT_ENABLED_ERROR));
    }

    /**
     * @inheritdoc
     */
    public function getCustomerRaw($user, $pass)
    {
        throw new Exception(new Phrase(self::NOT_ENABLED_ERROR));
    }

    /**
     * @inheritdoc
     */
    public function getItems($action, $shopNumber, $traceId, $limit = null, $offset = null, array $uids = [])
    {
        throw new Exception(new Phrase(self::NOT_ENABLED_ERROR));
    }

    /**
     * @inheritdoc
     */
    public function getItemsRaw($limit = null, $offset = null, array $uids = [])
    {
        throw new Exception(new Phrase(self::NOT_ENABLED_ERROR));
    }

    /**
     * @inheritdoc
     */
    public function checkCart(array $cart)
    {
        return new Exception(new Phrase(self::NOT_ENABLED_ERROR));
    }

    /**
     * @inheritdoc
     */
    public function checkCartRaw($cart)
    {
        return new Exception(new Phrase(self::NOT_ENABLED_ERROR));
    }
}
