<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Base\Model\Shopgate\Extended;

use Magento\Framework\DataObject;

/**
 * @method string getProductId()
 * @method ItemInfo setProductId(string $id)
 * @method ItemInfo setStackQuantity(string $qty)
 * @method array getOptions()
 * @method ItemInfo setOptions(array $options)
 * @method string getItemType() - e.g. configurable, bundled, simple
 * @method ItemInfo setItemType(string $type)
 * @method string getStoreViewId()
 * @method ItemInfo setStoreViewId(string $id)
 */
class ItemInfo extends DataObject
{
    /**
     * @param string | array $data
     *
     * @return $this
     */
    public function loadInfo($data)
    {
        if ($this->isJson($data)) {
            $data = \Zend_Json_Decoder::decode($data);
        }

        $this->addData($data);

        return $this;
    }

    /**
     * @param mixed $value
     *
     * @return bool
     */
    private function isJson($value)
    {
        return !empty($value) && is_string($value) && strpos($value, '{') === 0;
    }

    /**
     * @return int
     */
    public function getStackQuantity()
    {
        return (int) $this->getData('stack_quantity');
    }
}
