<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */
namespace Shopgate\Base\Test\Unit\Model\Model\Resource\Shopgate\Customer;

use Shopgate\Base\Test\Bootstrap;

/**
 * Testing database integration
 *
 * @package Shopgate\Base\Model\Resource\Shopgate
 */
class CustomerTest extends \PHPUnit_Framework_TestCase
{
    /** @var int */
    protected $id;

    /**
     * Init DB entry, save ID for retrieval
     */
    protected function setUp()
    {
        /** @var \Shopgate\Base\Model\Shopgate\Customer $model */
        $model = Bootstrap::getObjectManager()->create('Shopgate\Base\Model\Shopgate\Customer');
        $model->setToken('token1')->save();
        $this->id = $model->getId();
    }

    /**
     * Test if we have 3 columns available and
     * data is saved correctly
     */
    public function testRetrieveShopgateCustomer()
    {
        /** @var \Shopgate\Base\Model\Shopgate\Customer $model */
        $model = Bootstrap::getObjectManager()->create('Shopgate\Base\Model\Shopgate\Customer');
        $model->load($this->id);

        $this->assertCount(3, $model->getData());
        $this->assertEquals('token1', $model->getToken());
        $model->delete();
    }
}
