<?php
/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Export\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;

class ChildDescription implements ArrayInterface
{
    /**
     * Define ids for child description export
     */
    const ID_CHILD_ONLY        = 0;
    const ID_PARENT_ONLY       = 1;
    const ID_BOTH_PARENT_FIRST = 2;
    const ID_BOTH_CHILD_FIRST  = 3;

    /**
     * @return array
     */
    public function toOptionArray()
    {
        return [
            ['value' => self::ID_CHILD_ONLY, 'label' => __('Child\'s Only')],
            ['value' => self::ID_PARENT_ONLY, 'label' => __('Parent\'s Only')],
            ['value' => self::ID_BOTH_PARENT_FIRST, 'label' => __('Both: Parent\'s First')],
            ['value' => self::ID_BOTH_CHILD_FIRST, 'label' => __('Both: Child\'s First')],
        ];
    }
}
