<?php
/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain
 * unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */

namespace Shopgate\Export\Model\Export;

use Shopgate\Base\Api\Config\CoreInterface;
use Shopgate\Base\Api\Config\SgCoreInterface;

class Utility
{
    /** @var CoreInterface */
    private $coreInterface;

    /**
     * Utility constructor.
     *
     * @param CoreInterface $coreInterface
     *
     * @codeCoverageIgnore
     */
    public function __construct(CoreInterface $coreInterface)
    {
        $this->coreInterface = $coreInterface;
    }

    /**
     * Inject htaccess user & password in the link if they are enabled
     *
     * @param string $url - url to inject the user/pass into
     *
     * @return string
     */
    public function parseUrl($url)
    {
        $htuser = $this->coreInterface->getConfigByPath(SgCoreInterface::PATH_HTUSER)->getData('value');
        $htpass = $this->coreInterface->getConfigByPath(SgCoreInterface::PATH_HTPASS)->getData('value');

        if ($url && $htuser && $htpass) {
            $replacement = parse_url($url, PHP_URL_SCHEME) . '://';
            $replacement .= urlencode($htuser);
            $replacement .= ':';
            $replacement .= urlencode($htpass);
            $replacement .= '@';
            $url = preg_replace('/^(http|https):\/\//i', $replacement, $url, 1);
        }

        return $url;
    }
}
